Support » Fixing WordPress » WP auto upgrade to 2.7.1 error

  • mrkingid

    (@mrkingid)


    I did get an error, but then it told me all was successful so I am not too worried. However, I thought I would post it just in case it means something.

    ——————
    Downloading update from http://wordpress.org/wordpress-2.7.1.zip

    Unpacking the core update

    Verifying the unpacked files

    Installing the latest version

    Upgrading database

    WordPress database error: [Lost connection to MySQL server during query]
    SELECT option_id, autoload FROM wp_options WHERE option_name = ‘update_core’

    WordPress upgraded successfully
    ———————————–

    Any ideas what happened?

    Mike

Viewing 9 replies - 1 through 9 (of 9 total)
  • MichaelH

    (@michaelh)

    Looks like a temporary thing,

    Lost connection to MySQL server

    , where the connection to the database server was lost.

    Jenkins4

    (@jenkins4)

    I got this error a couple of minutes ago…

    Fatal error: Cannot redeclare pclziputilpathreduction() in /home/wildpag/public_html/blog/wp-admin/includes/class-pclzip.php on line 5432

    What I did last night, because of the error message, was to download and manually upload the 2.7.1 version and when I tried to use the Automatic Upgrade function, still got the same error. Any ideas?

    NuAngel

    (@nuangel)

    Ditto.

    Now my header image is gone from the rest of my website, as well.

    Nu

    extsieg

    (@extsieg)

    This is the error I get when I try the auto update. Man I don’t know if I want to mess with this thing now and have to redo the blog set up :

    fatal error: Cannot redeclare pclziputilpathreduction() (previously declared in /home/siegrist/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/pclzip.lib.php:5421) in /home/siegrist/public_html/wp-admin/includes/class-pclzip.php on line 5498

    any suggestions

    MichaelH

    (@michaelh)

    Jenkins4, you need to deactivate and delete the WordPress Automatic Upgrade Plugin. You don’t need it.

    Jenkins4

    (@jenkins4)

    Michael, Thanks man. Doing it now.

    vasantib

    (@vasantib)

    I got the same “fatal” error and found that multiple copies of the wordpress-271.zip were saved in my wp-contents folder (additional numbers were added before the extension) everytime I tried to automatically upgrade.

    At this point, I decided not to upgrade. I am not sure if its a bug with version 2.7.1 or if auto upgrade plugin is not designed to handle newer versions.

    Any ideas/suggestions?

    Samuel B

    (@samboll)

    vasantib
    see MichaelH’s answer 2 posts above yours

    you need to deactivate and delete the WordPress Automatic Upgrade Plugin. You don’t need it.

    Since 2.7 it is built in to wordpress

    jamesplato

    (@jamesplato)

    Get an answer here. You need to disable all plugins first

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘WP auto upgrade to 2.7.1 error’ is closed to new replies.